#
# spec file for package nagios-theme-switcher
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2014 by Lars Vogdt
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           nagios-theme-switcher
Version:        1.4
Release:        2.18
Summary:        Simple Theme Switcher for Nagios Webfrontend
License:        BSD-3-Clause
Group:          System/Monitoring
Url:            http://en.opensuse.org/nagios-theme-switcher
Source0:        switch-nagios-theme
Source1:        switch-nagios-theme.8
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%define         theme_dir /usr/share/nagios-themes

%description
This package contains a simple script with configures Nagios to use
a theme below /usr/share/nagios.

%prep
#

%build
#

%install
mkdir -p %{buildroot}/%{_sbindir}
mkdir -p %{buildroot}/%{theme_dir}
install -d -m0700 %{buildroot}/%{theme_dir}/backups
install -m755 %{SOURCE0} %{buildroot}/%{_sbindir}/switch-nagios-theme
install -Dm644 %{SOURCE1} %{buildroot}/%{_mandir}/man8/switch-nagios-theme.8

%files
%defattr(-, root, root)
%{_sbindir}/switch-nagios-theme
%dir %{theme_dir}
%dir %{theme_dir}/backups
%{_mandir}/man8/switch-nagios-theme.8*

%changelog
* Wed Nov  9 2016 jengelh@inai.de
- Drop redundant %%clean
* Thu Dec  4 2014 lars@linux-schulserver.de
- update to 1.4:
  + add option "-f" to completely disable the creation of backups
* Fri Nov 14 2014 obs@botter.cc
- remove the Requires(pre) for nagios-www: chicken-egg, as nagios
  requires nagios-theme-switcher
* Wed Jun  4 2014 lars@linux-schulserver.de
- Update to 1.3:
  + use systemctl on newer distributions
  + run apache try-restart instead of restart
* Tue Mar 11 2014 lars@linux-schulserver.de
- fix specfile license
* Sun Oct 20 2013 lars@linux-schulserver.de
- be a bit more relaxed if the backup file exists already
* Mon Oct  7 2013 lars@linux-schulserver.de
- Update to 1.2:
  + better handling of multiple "physical_html_path" appearances in
    cgi.cfg (we use the last one)
- added man page
* Wed Jun 30 2010 lars@linux-schulserver.de
- Update to 1.1:
  + new option: list available themes
- create backups directory during build
* Mon May 31 2010 lars@linux-schulserver.de
- initial version 1.0
